<?php
include "ver_sessao.php";
include "conecta.php";


if ( $_GET[busca_tipo_motorista]=='sim' )
	$_POST[busca_tipo_motorista]='sim';



// print_r($_POST);
// echo "<hr>";
// print_r($_GET);




function modifica_entidade(){
	
	global $a_mod;
	$a_mod = carregar('entidade',$_POST[id]);
	layout_entidade();
	
}

function exclui_entidade(){

	if($_POST[id]){
		$sql_user = selecionar('user','user_tx_status','!inativo'," AND user_nb_entidade = '$_POST[id]'");
		$a_mod2 = carrega_array($sql_user);
		remover('user',$a_mod2[user_nb_id]);
	}
	
	remover('entidade',$_POST[id]);
	index();
	exit;
	
}


//print_r($_POST);


function cadastra_entidade(){
	global $CACTUX_CONF, $CONFIGURA, $a_mod;


	$_POST[modificado]='sim';
	
	//for($i=0; $i!=5; $i++) {
		//if( $_POST['espec_'.$i] > 0) {
	$campos = array(enti_tx_nome,enti_tx_cnpj,enti_tx_endereco,enti_tx_numero,enti_tx_complemento,enti_tx_bairro,enti_tx_cidade,enti_tx_vinculo,
		enti_tx_cep,enti_tx_fone,enti_tx_cel,enti_tx_email,enti_tx_status,enti_tx_data,enti_nb_banco,enti_tx_agencia,enti_tx_conta,enti_tx_tipo,
		enti_tx_nomePai,enti_tx_nomeMae,enti_tx_carteiraTrabalho,enti_tx_serieTrabalho,enti_tx_titulo,enti_tx_zona,enti_tx_seccao,enti_tx_uf,
		enti_tx_identidade,enti_tx_orgaoEmissao,enti_tx_dataIdentidade,enti_tx_reservista,enti_tx_serieReservista,enti_tx_categoria,
		enti_tx_filho1,enti_tx_nascimentoFilho1,enti_tx_filho2,enti_tx_nascimentoFilho2,
		enti_tx_filho3,enti_tx_nascimentoFilho3,enti_tx_filho4,enti_tx_nascimentoFilho4,
		enti_tx_filho5,enti_tx_nascimentoFilho5,enti_tx_filho6,enti_tx_nascimentoFilho6,
		enti_tx_admissao,enti_nb_funcao,enti_nb_cbo,enti_tx_salario,
		enti_tx_conselho,enti_tx_numCarteira,enti_tx_validade,enti_tx_registroCnh,enti_tx_validadeCnh,enti_tx_categoriaCnh);
	$valores= array($_POST[nome],$_POST[cnpj],$_POST[endereco],$_POST[numero],$_POST[complemento],$_POST[bairro],$_POST[cidade],$_POST[vinculo],
		$_POST[cep],$_POST[fone],$_POST[cel],$_POST[email],ativo,gera_data('hoje',1),$_POST[banco],$_POST[agencia],$_POST[conta],'funcionario',
		$_POST[nomePai],$_POST[nomeMae],$_POST[carteiraTrabalho],$_POST[serieTrabalho],$_POST[titulo],$_POST[zona],$_POST[seccao],$_POST[uf],
		$_POST[identidade],$_POST[orgaoEmissao],gera_data($_POST[dataIdentidade],1),$_POST[reservista],$_POST[serieReservista],$_POST[categoria],
		$_POST[filho1],gera_data($_POST[nascimentoFilho1],1),$_POST[filho2],gera_data($_POST[nascimentoFilho2],1),
		$_POST[filho3],gera_data($_POST[nascimentoFilho3],1),$_POST[filho4],gera_data($_POST[nascimentoFilho4],1),
		$_POST[filho5],gera_data($_POST[nascimentoFilho5],1),$_POST[filho6],gera_data($_POST[nascimentoFilho6],1),
		gera_data($_POST[admissao],1),$_POST[funcao],$_POST[cbo],valor($_POST[salario],1),
		$_POST[conselho],$_POST[numCarteira],gera_data($_POST[validade],1),$_POST[registro_cnh],gera_data($_POST[validade_cnh],1),$_POST[categoria_cnh]);
		

	if ( $CONFIGURA[COMISSAO_FUNCIONARIO]=='SIM' ){// SE AS COMISSÕES ESTIVEREM ATIVADAS
		array_push($campos, enti_tx_comissaoNivel1,enti_tx_comissaoNivel2);
		array_push($valores, valor($_POST[comissao_nivel1],1),valor($_POST[comissao_nivel2],1));
	}



	// COMBINA OS ARRAY PARA NÃO PERDER AS INFORMAÇÕES
	$a_mod = array_combine($campos, $valores);

	if ( $_POST[busca_tipo_motorista]=='sim' ) {// SE FOR UM CADASTRO DE MOTORISTA, VALIDA OS DADOS DA CARTEIRA
		
		if ( $_POST[registro_cnh]=='' || $_POST[validade_cnh]=='' || $_POST[categoria_cnh]=='' ) {
			set_status('ATENÇÃO: Os dados da CNH são de preenchimento obrigatório!');
			layout_entidade();
			exit;
		}
		if ( intval($_POST[cbo])==0 ) {
			set_status('ATENÇÃO: Selecione a ocupação do motorista!');
			layout_entidade();
			exit;
		}
	}

	if ( trim($_POST[nome])=='' ) {
		set_status('ATENÇÃO: Informe o nome!');
		layout_entidade();
		exit;
	}



	if( !$_POST[id] ){
		inserir('entidade',$campos,$valores);
		$_POST[id]=ultimo_reg('entidade');
	}else{
		atualizar('entidade',$campos,$valores,$_POST[id]);
	}

	if($_POST[senha] != $_POST[senha2]){
		set_status('ERRO: Senhas diferentes');
		modifica_entidade();
		exit;
	}

	if($_POST[login]!='' && $_POST[senha] != ''){
		$campos = array(user_nb_entidade,user_tx_nome,user_tx_nivel,user_tx_login,user_tx_status,user_tx_senha);
		$valores = array($_POST[id],$_POST[nome],$_POST[nivel],$_POST[login],'ativo',md5($_POST[senha]));
		$sql_user = selecionar('user','user_tx_status','!inativo'," AND user_nb_entidade = '$_POST[id]'");
		if(num_linhas($sql_user)>0){
			$a_user = carrega_array($sql_user);
			atualizar('user',$campos,$valores,$a_user[user_nb_id]);
		}else{
			inserir('user',$campos,$valores,1);
		}
	}
	index();
	exit;
	
}

function layout_imprimir(){
	
	$extra .= " AND enti_tx_tipo = 'funcionario'";
	if($_POST[busca_cod]!='')
		$extra .= " AND enti_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_entidade]!='')
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_entidade]%'";
		
		
	cabecaRelatorio('Cadastro de Colaboradores');
	
	//CAMPOS
	$cod = cactux::texto('Código:',$_POST['busca_cod'],2);
	$nome = cactux::texto('Nome:',$_POST['busca_entidade'],4);
	//------------
	
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
		
	$sql = selecionar('entidade','enti_tx_status',"!inativo"," $extra ORDER BY enti_tx_nome");
	
	
	
	$cabecalho[] = array('','NOME','CPF');
	$cabecalho[] = 'c,e';
	$cabecalho[] = '6%,,15%';
	
	while( $a = carrega_array($sql) ){
		
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_cnpj]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	
	peRelatorio();
	
}

function layout_entidade(){
	global $CONFIGURA;
	global $a_mod;
	//print_r($a_mod);
	
	if($a_mod[enti_nb_banco]>0){
		$a_banco=carregar('banco',$a_mod[enti_nb_banco]);
	}
	if($a_mod[enti_tx_cidade]>0){
		$a_cida=carregar('cidade',$a_mod[enti_tx_cidade]);
		$a_cida[cida_tx_nome] = $a_cida[cida_tx_nome].'/'.$a_cida[cida_tx_uf];
	}

	if($a_mod[enti_nb_funcao]>0)
		$a_funcao = carregar('funcao',$a_mod[enti_nb_funcao]);
	if($a_mod[enti_nb_cbo]>0)
		$a_cbo = carregar('cbo',$a_mod[enti_nb_cbo]);

	if ( $_POST[busca_tipo_motorista]=='sim' ) { // SE FOR O CADASTRO DE MOTORISTAS, TORNA OBRIGATÓRIO O PREENCHIMENTO DA CNH
		$obrigatorio = '* ';

		if(!$_POST[id])// SE ESTIVER INSERINDO, MARCA O CBO PADRÃO
			$a_cbo = carregar('cbo',1297);
	}

	
	
	cabecalho('Cadastro de Colaboradores',2);
	
	//CAMPOS
	$c[] = cactux::campo('Nome:','nome',$a_mod[enti_tx_nome],8);
	$c[] = cactux::campo('CPF:','cnpj',$a_mod[enti_tx_cnpj],2,MASCARA_CPF);
	
	$c[] = cactux::campo('Endereço:','endereco',$a_mod[enti_tx_endereco],5);
	$c[] = cactux::campo('Nº:','numero',$a_mod[enti_tx_numero],1);
	$c[] = cactux::campo('Complemento:','complemento',$a_mod[enti_tx_complemento],4);
	
	$c[] = cactux::campo('Bairro:','bairro',$a_mod[enti_tx_bairro],4);
	$c[] = cactux::combo_net('!Cidade/UF:','cidade',$a_cida[cida_nb_id],$a_cida[cida_tx_nome],4,array($CONFIGURA[MODULO].'combonet/busca_cidade.php',$CONFIGURA[MODULO].'combonet/busca_cidade_net.php'));
	$c[] = cactux::campo('CEP:','cep',$a_mod[enti_tx_cep],2,MASCARA_CEP);
	
	$c[] = cactux::campo('Telefone:','fone',$a_mod[enti_tx_fone],3,MASCARA_FONE);
	$c[] = cactux::campo('Celular:','cel',$a_mod[enti_tx_cel],3,MASCARA_FONE);
	$c[] = cactux::campo('E-Mail:','email',$a_mod[enti_tx_email],4);
	
	$c[] = cactux::campo('Nome do Pai:','nomePai',$a_mod[enti_tx_nomePai],5);
	$c[] = cactux::campo('Nome do Mãe:','nomeMae',$a_mod[enti_tx_nomeMae],5);

	$c[] = cactux::campo('Filho:','filho1',$a_mod[enti_tx_filho1],7);
	$c[] = cactux::campo('Nascimento:','nascimentoFilho1',data($a_mod[enti_tx_nascimentoFilho1],1),3,MASCARA_DATA);
	$c[] = cactux::campo('Filho:','filho2',$a_mod[enti_tx_filho2],7);
	$c[] = cactux::campo('Nascimento:','nascimentoFilho2',data($a_mod[enti_tx_nascimentoFilho2],1),3,MASCARA_DATA);
	$c[] = cactux::campo('Filho:','filho3',$a_mod[enti_tx_filho3],7);
	$c[] = cactux::campo('Nascimento:','nascimentoFilho3',data($a_mod[enti_tx_nascimentoFilho3],1),3,MASCARA_DATA);
	$c[] = cactux::campo('Filho:','filho4',$a_mod[enti_tx_filho4],7);
	$c[] = cactux::campo('Nascimento:','nascimentoFilho4',data($a_mod[enti_tx_nascimentoFilho4],1),3,MASCARA_DATA);

	$c[] = cactux::campo('Filho:','filho5',$a_mod[enti_tx_filho5],7);
	$c[] = cactux::campo('Nascimento:','nascimentoFilho5',data($a_mod[enti_tx_nascimentoFilho5],1),3,MASCARA_DATA);
	$c[] = cactux::campo('Filho:','filho6',$a_mod[enti_tx_filho6],7);
	$c[] = cactux::campo('Nascimento:','nascimentoFilho6',data($a_mod[enti_tx_nascimentoFilho6],1),3,MASCARA_DATA);
	
	$c[] = cactux::campo('Carteira de Trabalho:','carteiraTrabalho',$a_mod[enti_tx_carteiraTrabalho],5);
	$c[] = cactux::campo('Serie:','serieTrabalho',$a_mod[enti_tx_serieTrabalho],5);

	$c[] = cactux::campo('Titulo Eleitoral:','titulo',$a_mod[enti_tx_titulo],3);
	$c[] = cactux::campo('Zona:','zona',$a_mod[enti_tx_zona],3);
	$c[] = cactux::campo('Secção:','seccao',$a_mod[enti_tx_seccao],2);
	$c[] = cactux::campo('UF:','uf',$a_mod[enti_tx_uf],2);

	$c[] = cactux::campo('Identidade:','identidade',$a_mod[enti_tx_identidade],4);
	$c[] = cactux::campo('Órgão Emissor:','orgaoEmissao',$a_mod[enti_tx_orgaoEmissao],3);
	$c[] = cactux::campo('Data:','dataIdentidade',data($a_mod[enti_tx_dataIdentidade],1),3,MASCARA_DATA);

	$c[] = cactux::campo('Cert. Reservista:','reservista',$a_mod[enti_tx_reservista],4);
	$c[] = cactux::campo('Serie:','serieReservista',$a_mod[enti_tx_serieReservista],3);
	$c[] = cactux::campo('Categoria:','categoria',$a_mod[enti_tx_categoria],3);

	$c[] = cactux::campo('Conselho de Classe:','conselho',$a_mod[enti_tx_conselho],4);
	$c[] = cactux::campo('Carteira:','numCarteira',$a_mod[enti_tx_numCarteira],3);
	$c[] = cactux::campo('Validade:','validade',data($a_mod[enti_tx_validade],1),3,MASCARA_DATA);

	$c[] = cactux::campo($obrigatorio.'Nº Registro CNH:','registro_cnh',$a_mod[enti_tx_registroCnh],3);
	$c[] = cactux::campo($obrigatorio.'Validade CNH:','validade_cnh',data($a_mod[enti_tx_validadeCnh],1),2,MASCARA_DATA);
	$c[] = cactux::combo($obrigatorio.'Categoria CNH:','categoria_cnh',array('','A','B','C','D','E','AB','AC','AD','AE','ACC'),$a_mod[enti_tx_categoriaCnh],2);

	$c[] = cactux::campo('Admissão:','admissao',data($a_mod[enti_tx_admissao],1),2,MASCARA_DATA);
	// $c[] = cactux::campo('Função:','funcao',$a_mod[enti_tx_funcao],3);
	// $c[] = cactux::combo_bd('!Função:','funcao',$a_funcao[func_nb_id],$a_funcao[func_tx_nome],3,'funcao',''," 1=1 ORDER BY func_tx_nome ASC ");
	// $c[] = cactux::campo('CBO:','cbo',$a_mod[enti_tx_cbo],3);
	$c[] = cactux::combo_net('!Classificação Brasileira de Ocupações:','cbo',$a_cbo[cbo_nb_id],$a_cbo[cbo_tx_nome],4,array("combonet/busca_cbo.php","combonet/busca_cbo_net.php"));
	$c[] = cactux::campo('Salário:','salario',mostra_valor($a_mod[enti_tx_salario]),2,MASCARA_VALOR);
	$c[] = cactux::combo('Vinculo:','vinculo',array('','CLT','Terceirizado','Freelancer'),$a_mod[enti_tx_vinculo],2);


	if ( $CONFIGURA[COMISSAO_FUNCIONARIO]=='SIM' ) {
		$c[] = cactux::campo('Comissão&nbsp;Nível&nbsp;1&nbsp;(%):','comissao_nivel1',mostra_valor($a_mod[enti_tx_comissaoNivel1]),3,MASCARA_VALOR);
		$c[] = cactux::campo('Comissão&nbsp;Nível&nbsp;2&nbsp;(%):','comissao_nivel2',mostra_valor($a_mod[enti_tx_comissaoNivel2]),3,MASCARA_VALOR);
	}


	// $c[] = cactux::combo_net('Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],4,array("busca_div.php?c=banco","busca_net3.php?c=banco"));
	$c[] = cactux::combo_bd('!Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,'banco');
	$c[] = cactux::campo('Agência:','agencia',$a_mod[enti_tx_agencia],3);
	$c[] = cactux::campo('Conta:','conta',$a_mod[enti_tx_conta],2);
	// $c[] = cactux::combo('Vínculo:','vinculo',array('','CLT', 'PJ', 'Freelancer'),$a_mod[enti_tx_vinculo],2);

	$c[] = cactux::campo('Salário:','salario',mostra_valor($a_mod[enti_tx_salario]),2,MASCARA_VALOR);
	$c[] = cactux::campo_arquivo('Arquivo:','arquivo',5);

	if($a_mod[enti_nb_id]){
		$sql_user = selecionar('user','user_tx_status','!inativo'," AND user_nb_entidade = '$a_mod[enti_nb_id]'");
		$a_mod2 = carrega_array($sql_user);
	}
	
	if ($CONFIGURA[MODO_RESTAURANTE]=='SIM')
		$a_niveis = array('Gerente', 'Administrativo', 'Operador', 'Garçon');
	else
		$a_niveis = array('Gerente', 'Administrativo', 'Operador', 'Vendedor','Técnico');

	$c1[] = cactux::campo('* Nome de Usuário:','login',$a_mod2[user_tx_login],3);
	$c1[] = cactux::combo('Nível:','nivel',$a_niveis,$a_mod2[user_tx_nivel],3,"onChange=abre_nivel()");
	$c1[] = cactux::campo_senha('Senha:','senha',2);
	$c1[] = cactux::campo_senha('Confirmar Senha:','senha2',2);
	
	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_entidade','id',$_POST[id]);
	
	if ( $_POST[modificado]!='sim' )
		$voltar = cactux::botao('Voltar',2,'voltar');
	else
		$voltar = cactux::botao('Voltar',2,'','onclick=confirma_saida();');
	$status = cactux::msg_status();
	//-----------
	

	cactux::abre_form('upload');
	$cont = 0;
	cactux::abre_fieldset('Dados Pessoais');
	cactux::linha_fieldset($c[$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Documentos');
	cactux::linha_fieldset($c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Carteira de Habilitação');
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Dados Admissionais');
	cactux::linha_fieldset($c[++$cont],$c[++$cont],$c[++$cont],$c[++$cont]);
	cactux::linha_fieldset($arq);
	cactux::fecha_fieldset();
	
	if ( $CONFIGURA[COMISSAO_FUNCIONARIO]=='SIM' ) {
		cactux::abre_fieldset('Dados de Comissão');
		cactux::linha_fieldset($c[++$cont],$c[++$cont]);
		cactux::fecha_fieldset();
	}

	cactux::abre_fieldset('Informações de Acesso');
	cactux::linha_fieldset($c1[0],$c1[1],$c1[2],$c1[3]);
	cactux::fecha_fieldset();
	
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
		

	javascript("

		function confirma_saida() {

			if( confirm('Deseja descartar as alterações?') ) {
				window.document.voltar.submit();
			}
		}
	");


	rodape();
}




function cadastra_anexo(){
	global $CACTUX_CONF;

	$id = ultimo_reg('arquivo');
	$id++;
	$msg = enviar('arquivo',$CACTUX_CONF[path].'arquivos/funcionario/',$id,1);
	
	// echo $msg;
	// echo $CACTUX_CONF[path].'arquivos/funcionario/';
	// exit;
	
	if( !bd_erro($msg) ){
		$campos=array('arqu_tx_nome','arqu_tx_arquivo','arqu_nb_entidade','arqu_tx_data','arqu_nb_user','arqu_tx_status');
		$valores=array($_POST[descricao],basename($msg),$_POST[id],date("Y-m-d"),$_SESSION[user_nb_id],'ativo');
		
		inserir('arquivo',$campos,$valores,1);

	}else{
		set_status($msg);
		
	}

	layout_anexo();
	exit;
}


function remover_anexo(){
	$a=carregar('arquivo,entidade',$_POST[id]);
	remover('arquivo',$_POST[id]);
	$_POST[id] = $a[arqu_nb_entidade];

	layout_anexo();
	exit;
}

function layout_anexo(){

	global $CACTUX_CONF;
	$a_ent=carregar('entidade',$_POST[id]);

	cabecalho('Cadastro de Colaboradores',2);
	cactux::abre_form('upload');
	
	//CAMPOS
	$c[] = cactux::texto('Nome:',$a_ent[enti_tx_nome],6);
	$c[] = cactux::texto('CPF:',$a_ent[enti_tx_cnpj],2);

	$c[] = cactux::campo('Descrição:','descricao',$a_mod[enti_tx_admissao],5);
	$c[] = cactux::campo_arquivo('Arquivo:','arquivo',5);

	$gravar = cactux::botao_submit('Gravar',2,'cadastra_anexo','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();

	

	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1]);
	cactux::linha_fieldset($c[2],$c[3]);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();

	cactux::acao_botao('voltar','index');

	$sql=selecionar('arquivo','arqu_tx_status','ativo'," AND arqu_nb_entidade = '$_POST[id]' ORDER BY arqu_nb_id DESC",0);

	 while ($a=carrega_array($sql)) {
			
		$imprimir = ".icone_modificar($a[0],visualizar_arquivo,'1','2','$CACTUX_CONF[path]arquivos/funcionario/$a[arqu_tx_arquivo]',' target=_blank','','cactus/imagens/imprimir.png')";
		$excluir = ".icone_excluir($a[0],'remover_anexo')";
		
		$valores[] = array($a[arqu_nb_id],data($a[arqu_tx_data],1),$a[arqu_tx_nome],$imprimir,$excluir);
		
	}
	
	


	$cabeca[] = array('','DATA','DESCRIÇÃO','','');
	$cabeca[] = 'c,c,e';
	$cabeca[] = '5%,20%,,3%,3%,3%';


	grid::gerar($cabeca,$valores);

	
	rodape();
}





function index(){
	
	if ( $_POST[busca_tipo_motorista]=='sim' )
		cabecalho('Cadastro de Motoristas',2);
	else
		cabecalho('Cadastro de Colaboradores',2);
	
	if($_POST[busca_cod]!='')
		$extra .= " AND enti_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_entidade]!='')
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_entidade]%'";
	if ( $_POST[busca_tipo_motorista]=='sim' )
		$extra .= " AND enti_nb_cbo='1297' ";
	if ( $_POST[busca_vinculo]!='' ) {
		$extra .= " AND enti_tx_vinculo = '$_POST[busca_vinculo]'";
	}
	
	$extra .= " AND enti_tx_tipo = 'funcionario'";


	$sql = selecionar('entidade','enti_tx_status',"!inativo","  $extra ORDER BY enti_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	//CAMPOS
	$cod    = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome   = cactux::campo('Nome:','busca_entidade',$_POST[busca_entidade],6);
	$vinculo= cactux::combo('Vinculo:','busca_vinculo',array('','CLT','Terceirizado','Freelancer'),$_POST[busca_vinculo],2);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index','busca_tipo_motorista',"$_POST[busca_tipo_motorista]");
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome,$vinculo);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_entidade');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','NOME','CPF','OCUPAÇÃO','VINCULO','','','');
	$cabecalho[] = 'c,e,e,e';
	$cabecalho[] = '6%,,15%,20%,10%,2%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
		$anexo = ".icone_modificar($a[0],layout_anexo,'','','','','','cactus/imagens/imprimir2.png')";
		$modifica = ".icone_modificar($a[0],modifica_entidade)";
		if( $_SESSION[user_tx_nivel] != 'Comprador' ) {
			$exclui = ".icone_excluir($a[0],exclui_entidade)";
		}

		if ( $a[enti_nb_cbo]>0 ) {
			$a_cbo = carregar('cbo',$a[enti_nb_cbo]);
		}
		
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_cnpj],$a_cbo[cbo_tx_nome],$a[enti_tx_vinculo],$anexo,$modifica,$exclui);

		unset($a_cbo);
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

CONTROLE();
?>